axis tight
set(gca,'Ylimmode','auto')

plycol = [0 143 213;... blue
        180 39 40;... red
        44 160 44;... green
        255 127 14;... orange
        148 103 189;... purple
        140 86 75;... brown
        227 119 194;... rosa
        153 0  76;... red/rosa
        255 255 217;...
        166 206 227;...
        31 120 180;...
        178 223 138;...
        51 160 44;...
        251 154 153;...
        227 26 28;...
        253 191 111;...
        255 127 0;...
        202 178 214;...
]/255;          % the last 9 are from http://colorbrewer2.org/
 


ph = flipud(findobj(gca,'Type','line'));    
for  uu = 1:size(ph,1);
    set(ph(uu),'Color',plycol(uu,:));
    set(ph(uu),'LineWidth',1.5)
end

if ~exist('FS')
    FS = 8;
end
if ~exist('FNAME')
    FNAME    = 'Garamond';  
end
 set(gca, ...
  'Fontname'    , FNAME  ,...  'Color'       , [0.937 0.925 0.918],...
  'Fontsize'    , FS  ,...  
  'Box'         , 'off'     , ...
  'TickDir'     , 'out'     , ...
  'TickLength'  , [.02 .02] , ...  
  'XMinorTick'  , 'on'      , ...
  'YMinorTick'  , 'on'      );

hold on
ytest = get(gca,'ylim');
if ytest(1)<=0&&0<ytest(2)                               % Plots a black line on the zero, if zero is on the graph
%     kline = [get(gca,'XLim')];
    child_obj = get(gca,'Children');
    plot(get(child_obj(1),'XData'),zeros( size(get(child_obj(1),'XData')) ),'k')
end
hold off

set(gcf,'Color',[1 1 1])